[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TPopupMenu.OnClose

Event handler signalled when the pop-up menu is closed.

## Declaration

Source position: menus.pp line 495

`published property TPopupMenu.OnClose : TNotifyEvent read FOnClose write FOnClose;`

## Description

You can delete menu items here. But if you delete the clicked menu item on OnClose the OnClick will not follow under Windows.